curl --request PUT \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/accounts/<uuid> \
--header 'Content-Type: application/json' \
--data '{
"business_profile": {
"name": "<string>",
"website": "https://example.com"
}
}'import Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const accountV1 = await client.embed.accounts.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
business_profile: { name: 'name', website: 'https://example.com' },
});
console.log(accountV1.data);
}
main();import os
from straddle import Straddle
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
account_v1 = client.embed.accounts.update(
account_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
business_profile={
"name": "name",
"website": "https://example.com",
},
)
print(account_v1.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
account_v1 = straddle.embed.accounts.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
business_profile: {name: "name", website: "https://example.com"}
)
puts(account_v1){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "business",
"status_detail": {
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"business_profile": {
"name": "<string>",
"website": "<string>",
"legal_name": "<string>",
"description": "<string>",
"use_case": "<string>",
"tax_id": "<string>",
"phone": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"country": "<string>"
},
"industry": {
"mcc": "<string>",
"sector": "<string>",
"category": "<string>"
},
"support_channels": {
"email": "[email protected]",
"phone": "<string>",
"url": "<string>"
}
},
"capabilities": {
"payment_types": {
"charges": {},
"payouts": {}
},
"customer_types": {
"individuals": {},
"businesses": {}
},
"consent_types": {
"signed_agreement": {},
"internet": {}
}
},
"settings": {
"charges": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payouts": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"terms_of_service": {
"accepted_date": "2023-11-07T05:31:56Z",
"agreement_url": "<string>",
"agreement_type": "embedded",
"accepted_ip": "<string>",
"accepted_user_agent": "<string>"
},
"metadata": {},
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}Update an account
Updates an existing account’s information. This endpoint allows you to update various account details during onboarding or after the account has been created.
curl --request PUT \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/accounts/<uuid> \
--header 'Content-Type: application/json' \
--data '{
"business_profile": {
"name": "<string>",
"website": "https://example.com"
}
}'import Straddle from '@straddlecom/straddle';
const client = new Straddle({
apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});
async function main() {
const accountV1 = await client.embed.accounts.update('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
business_profile: { name: 'name', website: 'https://example.com' },
});
console.log(accountV1.data);
}
main();import os
from straddle import Straddle
client = Straddle(
api_key=os.environ.get("STRADDLE_API_KEY"), # This is the default and can be omitted
)
account_v1 = client.embed.accounts.update(
account_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
business_profile={
"name": "name",
"website": "https://example.com",
},
)
print(account_v1.data)require "straddle"
straddle = Straddle::Client.new(
api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
environment: "production" # defaults to "sandbox"
)
account_v1 = straddle.embed.accounts.update(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
business_profile: {name: "name", website: "https://example.com"}
)
puts(account_v1){
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "business",
"status_detail": {
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"business_profile": {
"name": "<string>",
"website": "<string>",
"legal_name": "<string>",
"description": "<string>",
"use_case": "<string>",
"tax_id": "<string>",
"phone": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"line2": "<string>",
"country": "<string>"
},
"industry": {
"mcc": "<string>",
"sector": "<string>",
"category": "<string>"
},
"support_channels": {
"email": "[email protected]",
"phone": "<string>",
"url": "<string>"
}
},
"capabilities": {
"payment_types": {
"charges": {},
"payouts": {}
},
"customer_types": {
"individuals": {},
"businesses": {}
},
"consent_types": {
"signed_agreement": {},
"internet": {}
}
},
"settings": {
"charges": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payouts": {
"max_amount": 123,
"monthly_amount": 123,
"daily_amount": 123,
"monthly_count": 123,
"linked_bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"terms_of_service": {
"accepted_date": "2023-11-07T05:31:56Z",
"agreement_url": "<string>",
"agreement_type": "embedded",
"accepted_ip": "<string>",
"accepted_user_agent": "<string>"
},
"metadata": {},
"external_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}{
"meta": {
"api_request_id": "<string>",
"api_request_timestamp": "<string>",
"sort_order": "<string>",
"sort_by": "<string>",
"page_number": 123,
"page_size": 123,
"total_rows": 123
},
"data": null,
"error": {
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"items": [
{
"reference": "<string>",
"detail": "<string>"
}
]
}
}Authorizations
Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.
Headers
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Optional client generated value to use for idempotent requests.
10 - 40Path Parameters
Body
Show child attributes
Show child attributes
Up to 20 additional user-defined key-value pairs. Useful for storing additional information about the account in a structured format.
Show child attributes
Show child attributes
Unique identifier for the account in your database, used for cross-referencing between Straddle and your systems.
Response
OK
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Show child attributes
Indicates the structure of the returned content.
- "object" means the
datafield contains a single JSON object. - "array" means the
datafield contains an array of objects. - "error" means the
datafield contains an error object with details of the issue. - "none" means no data is returned.
object, array, error, none Show child attributes
Show child attributes
Related topics
Update a linked bank accountManage embedded platform accountsOrganizations: group multiple accountsPaykeys: secure tokens for bank paymentsUpdate a representativeWas this page helpful?